[arch-commits] Commit in (10 files)

Pierre Schmitz pierre at archlinux.org
Wed Oct 8 15:52:23 EDT 2008


    Date: Wednesday, October 8, 2008 @ 15:52:23
  Author: pierre
Revision: 14594

added nvidia-173xx legacy driver

Added:
  nvidia-173xx-utils/
  nvidia-173xx-utils/repos/
  nvidia-173xx-utils/trunk/
  nvidia-173xx-utils/trunk/PKGBUILD
  nvidia-173xx-utils/trunk/nvidia.install
  nvidia-173xx/
  nvidia-173xx/repos/
  nvidia-173xx/trunk/
  nvidia-173xx/trunk/PKGBUILD
  nvidia-173xx/trunk/nvidia.install

-----------------------------------------+
 nvidia-173xx-utils/trunk/PKGBUILD       |   70 ++++++++++++++++++++++++++++++
 nvidia-173xx-utils/trunk/nvidia.install |   40 +++++++++++++++++
 nvidia-173xx/trunk/PKGBUILD             |   39 ++++++++++++++++
 nvidia-173xx/trunk/nvidia.install       |   22 +++++++++
 4 files changed, 171 insertions(+)

Added: nvidia-173xx/trunk/PKGBUILD
===================================================================
--- nvidia-173xx/trunk/PKGBUILD	                        (rev 0)
+++ nvidia-173xx/trunk/PKGBUILD	2008-10-08 19:52:23 UTC (rev 14594)
@@ -0,0 +1,39 @@
+# $Id: PKGBUILD 8436 2008-08-11 04:51:52Z tpowa $
+# Maintainer : Thomas Baechler <thomas at archlinux.org>
+
+pkgname=nvidia-173xx
+pkgver=173.14.12
+_kernver='2.6.26-ARCH'
+pkgrel=1
+pkgdesc="NVIDIA legacy drivers for kernel26, 173xx branch"
+arch=('i686' 'x86_64')
+[ "$CARCH" = "i686"   ] && ARCH=x86
+[ "$CARCH" = "x86_64" ] && ARCH=x86_64
+url="http://www.nvidia.com/"
+depends=('kernel26>=2.6.26.2-1' 'kernel26<2.6.27' 'nvidia-utils')
+conflicts=('nvidia' 'nvidia-96xx' 'nvidia-71xx' 'nvidia-legacy')
+license=('custom')
+install=nvidia.install
+source=(http://us.download.nvidia.com/XFree86/Linux-$ARCH/${pkgver}/NVIDIA-Linux-$ARCH-${pkgver}-pkg0.run)
+md5sums=('76b8eba1b14fc273a1a4044705b0aa56')
+[ "$CARCH" = "x86_64" ] && md5sums=('8675e4ca65033b343c8c77b2ce82e71d')
+
+build()
+{
+  # Extract
+  cd $startdir/src/
+  sh NVIDIA-Linux-$ARCH-${pkgver}-pkg0.run --extract-only
+  cd NVIDIA-Linux-$ARCH-${pkgver}-pkg0
+  
+  # Any extra patches are applied in here...
+
+  cd usr/src/nv/
+  ln -s Makefile.kbuild Makefile
+  make SYSSRC=/lib/modules/${_kernver}/build module || return 1
+  
+  # install kernel module
+  mkdir -p $startdir/pkg/lib/modules/${_kernver}/kernel/drivers/video/
+  install -m644 nvidia.ko $startdir/pkg/lib/modules/${_kernver}/kernel/drivers/video/
+
+  sed -i -e "s/KERNEL_VERSION='.*'/KERNEL_VERSION='${_kernver}'/" $startdir/*.install
+}

Added: nvidia-173xx/trunk/nvidia.install
===================================================================
--- nvidia-173xx/trunk/nvidia.install	                        (rev 0)
+++ nvidia-173xx/trunk/nvidia.install	2008-10-08 19:52:23 UTC (rev 14594)
@@ -0,0 +1,22 @@
+# arg 1:  the new package version
+post_install() {
+  KERNEL_VERSION='2.6.26-ARCH'
+  depmod -v $KERNEL_VERSION  > /dev/null 2>&1		 
+}
+
+# arg 1:  the new package version
+# arg 2:  the old package version
+post_upgrade() {
+  post_install $1
+  rmmod nvidia || echo 'In order to use the new nvidia module, exit Xserver and unload it manually.'
+}
+
+# arg 1:  the old package version
+post_remove() {
+  KERNEL_VERSION='2.6.26-ARCH'
+  depmod -v $KERNEL_VERSION	 > /dev/null 2>&1	 
+}
+
+op=$1
+shift
+$op $*

Added: nvidia-173xx-utils/trunk/PKGBUILD
===================================================================
--- nvidia-173xx-utils/trunk/PKGBUILD	                        (rev 0)
+++ nvidia-173xx-utils/trunk/PKGBUILD	2008-10-08 19:52:23 UTC (rev 14594)
@@ -0,0 +1,70 @@
+# $Id: PKGBUILD 7917 2008-08-05 08:05:25Z tpowa $
+# Maintainer: Thomas Baechler <thomas at archlinux.org>
+# Contributor: James Rayner <iphitus at gmail.com>
+
+pkgname=nvidia-173xx-utils
+pkgver=173.14.12
+pkgrel=1
+pkgdesc="NVIDIA drivers utilities and libraries."
+arch=('i686' 'x86_64')
+[ "$CARCH" = "i686"   ] && ARCH=x86 	 
+[ "$CARCH" = "x86_64" ] && ARCH=x86_64
+url="http://www.nvidia.com/"
+depends=('xorg-server')
+conflicts=('libgl' 'libgl-dri' 'ati-fglrx-utils' 'nvidia-legacy-utils' \
+           'nvidia-71xx-utils' 'nvidia-96xx-utils' 'nvidia-utils')
+provides=('libgl')
+license=('custom')
+install=nvidia.install
+source=(http://us.download.nvidia.com/XFree86/Linux-${ARCH}/${pkgver}/NVIDIA-Linux-${ARCH}-${pkgver}-pkg0.run \
+        supported-cards.txt)
+md5sums=('76b8eba1b14fc273a1a4044705b0aa56'
+         'bf8d68d66757096c3ab17653230bf2a8')
+[ "$CARCH" = "x86_64" ] && md5sums=('8675e4ca65033b343c8c77b2ce82e71d'
+                        	    'bf8d68d66757096c3ab17653230bf2a8')
+
+options=(docs !strip)
+
+build()
+{
+  # override nvida install routine and do it the long way.
+  cd $startdir/src/
+  sh NVIDIA-Linux-${ARCH}-${pkgver}-pkg0.run --extract-only
+  cd NVIDIA-Linux-${ARCH}-${pkgver}-pkg0/usr/
+
+  mkdir -p $startdir/pkg/usr/{lib,bin,share/applications,share/pixmaps,man/man1}
+  mkdir -p $startdir/pkg/usr/lib/xorg/modules/{extensions,drivers}
+  mkdir -p $startdir/pkg/usr/share/licenses/nvidia/
+  
+  install lib/{libGLcore,libGL,libnvidia-cfg,libcuda,tls/libnvidia-tls}.so.${pkgver} \
+       $startdir/pkg/usr/lib/ || return 1
+  install -m644 share/man/man1/* $startdir/pkg/usr/man/man1/ || return 1
+  rm $startdir/pkg/usr/man/man1/nvidia-installer.1.gz || return 1
+  install X11R6/lib/libXv* $startdir/pkg/usr/lib/ || return 1
+  install -m644 share/applications/nvidia-settings.desktop $startdir/pkg/usr/share/applications/ || return 1
+  # fix nvidia .desktop file
+  sed -e 's:__UTILS_PATH__:/usr/bin:' -e 's:__PIXMAP_PATH__:/usr/share/pixmaps:' -i $startdir/pkg/usr/share/applications/nvidia-settings.desktop
+  install -m644 share/pixmaps/nvidia-settings.png $startdir/pkg/usr/share/pixmaps/ || return 1
+  #install X11R6/lib/modules/libnvidia-wfb.so.$pkgver $startdir/pkg/usr/lib/xorg/modules || return 1
+  install X11R6/lib/modules/drivers/nvidia_drv.so $startdir/pkg/usr/lib/xorg/modules/drivers || return 1
+  install X11R6/lib/modules/extensions/libglx.so.$pkgver $startdir/pkg/usr/lib/xorg/modules/extensions || return 1
+  install -m755 bin/nvidia-{settings,xconfig,bug-report.sh} $startdir/pkg/usr/bin/ || return 1
+  cd $startdir/pkg/usr/lib/
+  ln -s libGL.so.$pkgver libGL.so || return 1
+  ln -s libGL.so.$pkgver libGL.so.1 || return 1
+  ln -s libGLcore.so.$pkgver libGLcore.so.1 || return 1
+  ln -s libnvidia-cfg.so.$pkgver libnvidia-cfg.so.1 || return 1
+  ln -s libnvidia-tls.so.$pkgver libnvidia-tls.so.1 || return 1
+  ln -s libcuda.so.$pkgver libcuda.so.1 || return 1
+  ln -s libXvMCNVIDIA.so.$pkgver libXvMCNVIDIA_dynamic.so.1 || return 1
+  cd $startdir/pkg/usr/lib/xorg/modules/extensions
+  ln -s libglx.so.$pkgver libglx.so || return 1
+
+  install -m644 $startdir/src/NVIDIA-Linux-${ARCH}-${pkgver}-pkg0/LICENSE $startdir/pkg/usr/share/licenses/nvidia/ || return 1
+  ln -s nvidia $startdir/pkg/usr/share/licenses/nvidia-utils || return 1
+  install -D -m644 $startdir/src/NVIDIA-Linux-${ARCH}-${pkgver}-pkg0/usr/share/doc/README.txt $startdir/pkg/usr/share/doc/nvidia/README || return 1
+  install -D -m644 $startdir/src/supported-cards.txt $startdir/pkg/usr/share/doc/nvidia/supported-cards.txt || return 1
+  
+  find $startdir/pkg/usr -type d -exec chmod 755 {} \;
+  # phew :)
+}

Added: nvidia-173xx-utils/trunk/nvidia.install
===================================================================
--- nvidia-173xx-utils/trunk/nvidia.install	                        (rev 0)
+++ nvidia-173xx-utils/trunk/nvidia.install	2008-10-08 19:52:23 UTC (rev 14594)
@@ -0,0 +1,40 @@
+# arg 1:  the new package version
+post_install() {
+
+  echo -------------------------------
+  echo By using this package you accept the NVIDIA license, 
+  echo which has been installed in /usr/share/licenses/nvidia/LICENSE
+  echo If you do not accept this license, you must remove the package immediately.
+  echo Dont forget to update your /etc/X11/xorg.conf
+  echo In order to use nvidia-settings, you need to install the 'gtk2' package.
+  echo In order to use nvidia-xconfig, you need to install the 'pkgconfig' package.
+  echo -------------------------------
+  echo nvidia 9746 drops support for Geforce 3 and 4 cards
+  echo If you have such a card, install the nvidia-96xx, nvidia-96xx-utils,
+  echo nvidia-96xx-ck, nvidia-96xx-beyond, nvidia-96xx-suspend2 packages
+  echo For a list of supported cards, see /usr/share/doc/nvidia/supported-cards.txt
+  echo -------------------------------
+
+  #echo ":: Updating symlinks to use built-in libwfb"
+  #ln -sf /usr/lib/xorg/modules/libnvidia-wfb.so.* \
+  #       /usr/lib/xorg/modules/libwfb.so 
+}
+
+# arg 1:  the new package version
+# arg 2:  the old package version
+post_upgrade() {
+  post_install $1
+  echo ":: Updating symlinks to use xorg-server libwfb"
+  ln -sf /usr/lib/xorg/modules/libwfb.so.* \
+         /usr/lib/xorg/modules/libwfb.so
+}
+
+post_remove() {
+  echo ":: Updating symlinks to use xorg-server libwfb"
+  ln -sf /usr/lib/xorg/modules/libwfb.so.* \
+         /usr/lib/xorg/modules/libwfb.so
+}
+
+op=$1
+shift
+$op $*




More information about the arch-commits mailing list